Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.api.common.service.impl
Class BeanForInterfaceImplementationFactoryImpl

    java.lang.Object
      com.jaspersoft.jasperserver.api.common.service.impl.BeanForInterfaceImplementationFactoryImpl

All Implemented Interfaces:
  BeanForInterfaceImplementationFactory

Direct Known Subclasses:
  DataSourceServiceFactoryImpl

    public class BeanForInterfaceImplementationFactoryImpl

extends java.lang.Object
implements BeanForInterfaceImplementationFactory

Author:
  swood

Constructor Summary
`BeanForInterfaceImplementationFactoryImpl()`

Method Summary
`java.lang.Object` | `getBean(java.lang.Class itfClass)`
`java.util.Map` | `getBeanForInterfaceMappings()`
`java.lang.String` | `getBeanName(java.lang.Class itfClass)`
`BeanForInterfaceFactory` | `getFactory()`
`void` | `setBeanForInterfaceMappings(java.util.Map beanForInterfaceMappings)`
`void` | `setFactory(BeanForInterfaceFactory factory)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BeanForInterfaceImplementationFactoryImpl

    public BeanForInterfaceImplementationFactoryImpl()

Method Detail

### getBean

    public java.lang.Object getBean(java.lang.Class itfClass)

  Specified by:
    `getBean` in interface `BeanForInterfaceImplementationFactory`

### getBeanName

    public java.lang.String getBeanName(java.lang.Class itfClass)

  Specified by:
    `getBeanName` in interface `BeanForInterfaceImplementationFactory`

### getFactory

    public BeanForInterfaceFactory getFactory()

  Returns:
    Returns the factory.

### setFactory

    public void setFactory(BeanForInterfaceFactory factory)

  Parameters:
    `factory` - The factory to set.

### getBeanForInterfaceMappings

    public java.util.Map getBeanForInterfaceMappings()

  Returns:
    Returns the beanForInterfaceMappings.

### setBeanForInterfaceMappings

    public void setBeanForInterfaceMappings(java.util.Map beanForInterfaceMappings)

  Parameters:
    `beanForInterfaceMappings` - The beanForInterfaceMappings to set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.